Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Show or hide a documentation folder and all contents

Sets the selected folder and every descendant folder and page to the same guest-visibility value in one transaction. Internal documentation managers only. Showing a folder never publishes hidden children unless those children are included in this recursive update.

POST/projects/documentation/{id}/guest-visibility/subtree
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstring<uuid>required

Project documentation page or folder UUID. This parameter does not accept a project short identifier.

Request body
requiredapplication/json
guestVisiblebooleanrequired

Sets the selected folder and every descendant folder and page to this value in one transaction.

Responses
200
countnumber

Number of nodes updated by a recursive folder action.

guestVisiblebooleanrequired
idstring<uuid>required
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

404

The folder does not exist or is not accessible.

errorstring | object

HTTP error name or a structured HTTP exception response.

Show properties
One of:
string
string
object
object
messagestring | string[] | objectrequired

Error message, validation message list, or request-field validation message map.

Show properties
One of:
string
string
string[]
Array of string
string
object
object
statusCodenumberrequired

HTTP status code for this response.

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST "https://leadtime.app/api/public/projects/documentation/550e8400-e29b-41d4-a716-446655440000/guest-visibility/subtree" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "guestVisible": true
}'
Response
{
  "count": 0,
  "guestVisible": true,
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}